-- Часть 3.


-- *** *** *** *** *** --
--      Остальное      --
-- *** *** *** *** *** --

function getNextCompass(v)
	if v == 'n' then
		return 'ne';
	elseif v == 'ne' then
		return 'e';
	elseif v == 'e' then
		return 'se';
	elseif v == 'se' then
		return 's';
	elseif v == 's' then
		return 'sw';
	elseif v == 'sw' then
		return 'w';
	elseif v == 'w' then
		return 'nw';
	elseif v == 'nw' then
		return 'n';
	end;
end;

function getNameCompass(v)
	if v == 'n' then
		return 'север';
	elseif v == 'ne' then
		return 'северо-восток';
	elseif v == 'e' then
		return 'восток';
	elseif v == 'se' then
		return 'юго-восток';
	elseif v == 's' then
		return 'юг';
	elseif v == 'sw' then
		return 'юго-запад';
	elseif v == 'w' then
		return 'запад';
	elseif v == 'nw' then
		return 'северо-запад';
	end;
end;

chairsDlg = room {
	nam = 'Стулья';
	var {
		-- Текущая комбинация.
		chairsCurrent = {
			[1] = 'n';		-- Левый дальний.
			[2] = 'n';		-- Левый ближний.
			[3] = 'n';		-- Правый дальний.
			[4] = 'n';		-- Правый ближний
			};
	};
	hideinv = true;
	way = { vroom('закончить расстановку стульев', 'ep3_in_house')};
	exit = 'Надеюсь, эти стулья стоят правильно.';
	entered = function(s)
		p '^Стулья повернуты следуюшим образом:^^';
		p ('Левый дальний стул: ' .. getNameCompass(s.chairsCurrent[1]) .. '^');
		p ('Левый ближний стул: ' .. getNameCompass(s.chairsCurrent[2]) .. '^');
		p ('Правый дальний стул: ' .. getNameCompass(s.chairsCurrent[3]) .. '^');
		p ('Правый ближний стул: ' .. getNameCompass(s.chairsCurrent[4]) .. '^');
	end;
	act = function(s, w)
		if w == '1' then
			s.chairsCurrent[1] = getNextCompass(s.chairsCurrent[1]);
		end;
		if w == '2' then
			s.chairsCurrent[2] = getNextCompass(s.chairsCurrent[2]);
		end;
		if w == '3' then
			s.chairsCurrent[3] = getNextCompass(s.chairsCurrent[3]);
		end;
		if w == '4' then
			s.chairsCurrent[4] = getNextCompass(s.chairsCurrent[4]);
		end;
		
		p '^Стулья повернуты следуюшим образом:^^';
		p ('Левый дальний стул: ' .. getNameCompass(s.chairsCurrent[1]) .. '^');
		p ('Левый ближний стул: ' .. getNameCompass(s.chairsCurrent[2]) .. '^');
		p ('Правый дальний стул: ' .. getNameCompass(s.chairsCurrent[3]) .. '^');
		p ('Правый ближний стул: ' .. getNameCompass(s.chairsCurrent[4]) .. '^');
	end;
	obj = { vobj('1', '{Повернуть левый дальний стул}^'),
			vobj('2', '{Повернуть левый ближний стул}^'),
			vobj('3', '{Повернуть правый дальний стул}^'),
			vobj('4', '{Повернуть правый ближний стул}^'),
	};
};