-- Эпизод 1.


-- *** *** *** *** *** --
--       Видения       --
-- *** *** *** *** *** --

-- Видение 1. "Доктор на стуле."
showVision1 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Я обернулся и увидел доктора. Он сидел на стуле возле моей кровати и задумчиво смотрел вдаль. От неожиданности я зажмурил глаза, а когда открыл их -- доктора уже не было, но стул так и остался стоять у кровати.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		enable( chair );
		walk('myRoom');
	end,
};

-- Видение 2. "Санитары с носилками."
showVision2 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Я уже поднёс ключ к двери, но неожиданно она отворилась. Оттуда вышли два санитара с носилками. Невозмутимо пройдя мимо меня, они скрылись в темноте коридора. Я проводил их глазами, а когда обернулся, дверь уже была закрыта.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('corridor');
	end,
};

-- Видение 3. "Человек в белом халате играет на доске."
showVision3 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Человек в белом халате сосредоточенно смотрел на доску с клетками и аккуратно расставлял фишки с какими-то символами. Закончив, он провёл рукой над доской и... символы на фишках поменялись! Мне показалось, что он тяжело вздохнул, хотя всё это время стояла гробовая тишина. Человек сбросил фишки обратно на стол и задумался ещё больше.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('lab');
	end,
};

-- Видение 4. "Человек в белом халате уходит."
showVision4 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Человек в белом халате поднял голову и... Это был Я! Это же МОЁ лицо! Это... Но как?!^^
	Пока я приходил в себя, человек встал из-за стола и не торопясь проследовал в коридор. Я пошёл за ним. Человек зашёл в мою палату.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		disable( twinMan );
		disable( board );
		walk('corridor');
	end,
};

-- Видение 5. "Выход в город."
showVision5 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Яркая вспышка света совершенно ослепила меня. За многие годы, проведёные в палате, мои глаза привыкли к темноте. И теперь свет больно ранил их и, казалось наслаждался этим. Какое-то время я стоял и, не видя ничего, слепо озирался по сторонам. Когда же зрение, наконец, восстановилось, я обнаружил, что стою на улице под фонарём. Вокруг большие кирпичные дома. И никого. Ни одной души вокруг.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('townLamp');
	end,
};

-- Видение 6. "Входная дверь."
showVision6 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[За дверью скрывалась пугающая темнота. Немного помедлив, я вошёл внутрь.^^
	Звук моих шагов отдавался эхом в окружающей тьме. Я не знал: куда иду и зачем. Я просто шёл всё дальше и дальше. Скоро вдали показался слабый отблеск света. Не видя другого пути, я устремился к нему. Ещё немного... Ещё несколько несколько шагов... Наконец, я достиг своей цели и, с удивлением и ужасом обнаружил, что нахожусь в том же самом тёмном коридоре, из которого и вышел!]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('corridor');
	end,
};

-- Видение 7. "Конец 1 части."
showVision7 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Я открыл клетку ключом на цепочке. Белые "мыши", удивлённо уставились на меня. Но, спустя пару мгновений, выбежали из клетки и скрылись в темноте коридора. В этот момент меня переполняла такая радость, как будто я помог старому другу, ближе и роднее которого не было в жизни.^^
	]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('ep2_intro');
	end,
};