-- Часть 2.


-- *** *** *** *** *** --
--      Остальное      --
-- *** *** *** *** *** --

function pressBook(n)
	if not books_quest.questIsFinished then	-- Если квест еще не завершен.
		books_quest.currentBook = books_quest.currentBook + 1;
		if books_quest.correctBooks[books_quest.currentBook] == n then
			if books_quest.currentBook == 1 then
				p [[Я услышал щелчок.^]];
			elseif books_quest.currentBook == 2 then
				p [[Я услышал щелчок и на этот раз более отчетливо.^]];
			elseif books_quest.currentBook == 3 then
				p [[Я услышал щелчок. Полка немного содрогнулась.^]];
			elseif books_quest.currentBook == 4 then
				p [[Полка слегка отодвинулась вниз. За ней была спрятана карта -- валет пик.^]];
				take ( ep2_card );
				books_quest.questIsFinished = true;
			end;
		else
			books_quest.currentBook = 0;
		end;
	end;
end;

books_quest = obj {
	nam = 'квест с книгами';
	var {
		currentBook = 0;		-- Текущая книга.
		correctBooks = {		-- Правильная последовательность.
			[1] = 3;
			[2] = 1;
			[3] = 2;
			[4] = 1;
		};
		questIsFinished = false;	-- Завершен ли квест.
	};
};

testTubeDlg = room {
	nam = 'Пробирки';
	var {
		num = {
			[1] = 'green';
			[2] = 'purple';
			[3] = 'blue';
			[4] = 'white';
			[5] = 'brown';
			[6] = 'black';
			[7] = 'yellow';
			[8] = 'red';
			};
		numCount = 0;
		errorCount = 0;
	};
	hideinv = true;
	way = {'ep2_lab'};
	exit = function()
		if not have(ep2_elixir) then
			p 'Попробую разобраться с этим позже.';
		end;
	end;
	entered = function(s)
		p 'На столе стоят несколько пробирок с какой-то жидкостью и одна пустая.';
		s.numCount = 0;
		s.errorCount = 0;
	end;
	act = function(s, w)
		s.numCount = s.numCount + 1;
		if s.numCount < 8 and s.errorCount ~= 2 then
			if w == 'blue' then
				p ('Я добавил пробирку с синей жидкостью.');
			elseif w == 'red' then
				p ('Я добавил пробирку с красной жидкостью.');
			elseif w == 'yellow' then
				p ('Я добавил пробирку с желтой жидкостью.');
			elseif w == 'green' then
				p ('Я добавил пробирку с зеленой жидкостью.');
			elseif w == 'purple' then
				p ('Я добавил пробирку с фиолетовой жидкостью.');
			elseif w == 'brown' then
				p ('Я добавил пробирку с коричневой жидкостью.');
			elseif w == 'white' then
				p ('Я добавил пробирку с белой жидкостью.');
			elseif w == 'black' then
				p ('Я добавил пробирку с черной жидкостью.');
			end;
		end;
		if s.numCount > 8 then
			p 'О! Баг выскочил!';
		else
			if s.errorCount == 1 then
				s.errorCount = 2;
				p [[Жидкость в пробирке вспыхнула. Похоже, я где-то ошибся.]];
				walk('ep2_lab');
			end;
			if w ~= s.num[s.numCount] and s.errorCount == 0 then
				p [[Жидкость в пробирке закипела.]];
				s.errorCount = 1;
			end;
		end
		if s.numCount == 8 then
			p ('Вроде бы все получилось.');
			take ('ep2_elixir');
			walk('ep2_lab');
		end;
	end;
	obj = { vobj('blue', '{Пробирка с синей жидкостью}^'),
			vobj('red', '{Пробирка с красной жидкостью}^'),
			vobj('yellow', '{Пробирка с желтой жидкостью}^'),
			vobj('green', '{Пробирка с зеленой жидкостью}^'),
			vobj('purple', '{Пробирка с фиолетовой жидкостью}^'),
			vobj('brown', '{Пробирка с коричневой жидкостью}^'),
			vobj('white', '{Пробирка с белой жидкостью}^'),
			vobj('black', '{Пробирка с черной жидкостью}'),
	};
};